<div class="todo">
  <div class="order-number">
    <span> {{ index + 1 }}. </span>
  </div>
  <div class="content">
    <div class="title">
      <h1 *ngIf="!isEditMode">{{ todo.title }}</h1>
      <input
        class="edit-input"
        type="text"
        *ngIf="isEditMode"
        required
        minlength="4"
        [(ngModel)]="todo.title"
      />
    </div>
    <div class="description" *ngIf="!!todo.description || isEditMode">
      <p *ngIf="!isEditMode">
        {{ todo.description }}
      </p>
      <textarea
        class="edit-input"
        type="text"
        [(ngModel)]="todo.description"
        *ngIf="isEditMode"
      ></textarea>
    </div>
  </div>
  <div class="icons">
    <div class="edit-wrap">
      <app-icon
        [type]="'edit'"
        class="edit"
        (click)="toggleEditMode(true)"
        *ngIf="!isEditMode"
      />

      <button *ngIf="isEditMode" class="submit" (click)="updateTodo()">
        <app-icon [type]="'submit'" />
      </button>

      <app-icon
        [type]="'close'"
        class="cancel"
        *ngIf="isEditMode"
        (click)="toggleEditMode(false)"
      />
    </div>
    <app-icon
      [type]="'close'"
      class="close"
      *ngIf="!isEditMode"
      (click)="removeTodo()"
    />
  </div>
</div>
